Subject: Re: Binutils, GDB, GCC and Automake's 'cygnus' option

From: Ian Lance Taylor <[email-masked]>
Date: Wed, 28 Mar 2012 16:43:03 -0700

Stefano Lattarini <[email-masked]> writes:

>> (I think avoiding info documentation being built in the source directory,
>> so that builds could use a non-writable source directory, may have been
>> one part).
>>
> There is probably some hack to obtain this effect (it's tested in the testsuite
> somewhere), but my opinion is that if you distribute the generated info files
> you should also have them generated in the source directory, to avoid nasty
> surprises (for a similar issue, involving yacc and lex, see automake bug#10852,
> in particular messages <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10852#14>
> and <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10852#15>).

It's important that it be possible to build with the sources on a
read-only disk.

It's useful to be able to include .info files in releases so that people
can build the releases without having to have makeinfo installed.

Ian